<template>
	<section class="app-main">
		<transition name="fade-transform" mode="out-in">
			<keep-alive :include="cachedViews">
				<router-view :key="key" />
			</keep-alive>
		</transition>
	</section>
</template>

<script>
export default {
	name: 'AppMain',
	computed: {
		cachedViews() {
			return this.$store.state.tagsView.cachedViews
		},
		key() {
			return this.$route.fullPath
		}
	}
}
</script>

<style scoped>
.app-main {
	min-height: calc(100vh - 50px);
	width: 100%;
	position: relative;
	overflow: hidden;
	background: #F4F7FC;
}
</style>
